jwt_value_t Struct Reference
JSON Web Token » Claims and Headers » Utility Functions

Data type for get and set actions for JWT headers and claims. More...

## Data Fields

jwt_value_type_t | type
const char * | name
union { |
jwt_long_t int_val |
const char * str_val |
int bool_val |
char * json_val |
}; |
int | replace
int | pretty
jwt_value_error_t | error

## Detailed Description

Data type for get and set actions for JWT headers and claims.

This is used for both set and get requests. Specific rules for each type is described in more detail for the set and get requests.

Note
  There are helper macros to simplify setting this structure properly and reducing common mistakes. See the jwt_set_{SET,GET}_{INT,STR,BOOL,JSON} definitions.

## Field Documentation

## [union]

union { ... } jwt_value_t

## bool_val

int jwt_value_t::bool_val

## error

jwt_value_error_t jwt_value_t::error

## int_val

jwt_long_t jwt_value_t::int_val

## json_val

char* jwt_value_t::json_val

## name

const char* jwt_value_t::name

## pretty

int jwt_value_t::pretty

## replace

int jwt_value_t::replace

## str_val

const char* jwt_value_t::str_val

## type

jwt_value_type_t jwt_value_t::type